# Maquitous

A backend api project based on flask and [__Eaquira__](https://git.186526.xyz/Fragrance/eaquira).
###### dev of SDGA was suspended
---

## Usage

Test URL: <https://maquitous.fragrance.moe/>

Web UI: [Fragrance/Estahv](/Fragrance/Estahv) (Still work in progress)

## Info

You send your information to __Maquitous__, __Maquitous__ transfer your information and send to 「舞萌DX」.

## API Usage

-   `GET /qr?qrcode=qrcode` - transfer QrCode to UserId.

    Params: `Scanned result from QrCode in WeChat`  
    Response:
    ```json
    {
        "status": string, 
        "timestamp": integer,
        "info": string,
        "apiName": "qrCode_to_userId",
        "date": string,
        "userId": integer
    }

-   `GET /ticket?userid=userId` - Send「6倍チケット」to account.

    Params: `userId`  
    Response:
    ```json
    {
        "status": string, 
        "timestamp": integer,
        "info": string,
        "apiName": "ticket",
        "date": string,
        "userId": integer
    }

-   `GET /mapstock?userid=userId` - Save 99 kilometers in map to account.

    Params: `userId`  
    Response:
    ```json
    {
        "status": string, 
        "timestamp": integer,
        "info": string,
        "apiName": "mapstock",
        "date": string,
        "userId": integer
    }

-   `GET /unlock?userid=userId` - Unlock all DX Master Charts in account.

    Params: `userId`  
    Response:
    ```json
    {
        "status": string, 
        "timestamp": integer,
        "info": string,
        "apiName": "unlock",
        "date": string,
        "userId": integer
    }

-   `POST /music` - Overwrite a music detail in account.

    Params in `application/json`:
    ```json
    {
        "userId": integer,
        "music": {
            "musicId": integer,
            "level": integer ,
            "playCount": integer,
            "achievement": integer,
            "comboStatus": integer,
            "syncStatus": integer,
            "deluxscoreMax": integer,
            "scoreRank": integer
        }
    }
    ```  
    Response:
    ```json
    {
        "status": string, 
        "timestamp": integer,
        "info": string,
        "apiName": "music",
        "date": string,
        "userId": integer
    }

## Running

```bash
pip install -r requirements.txt
python3 host.py
```

## Warning and Statements

WE ARE NOT RESIPONSIBLE FOR YOUR ACCOUNT.

>怂别用，用别怂。
>
>我也没说过这玩意一直能用，至少现在能用。

## Copyright

GNU License.

__Maquitous__ is a part of [__Project Fragrance__](https://fragrance.moe). 
